Subject: RE: mkdir -p and network drives
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 5 May 2005 18:44:05 +0100

----Original Message----
>From: Igor Pechtchanski
>Sent: 05 May 2005 18:20

> On Thu, 5 May 2005, Paul Eggert wrote:
> 
>> Eric Blake <[email-masked]> writes:
>> 
>>> //MACHINE currently generates ENOENT, whether or not there is a
>>> server on the network with that name, and mkdir(2), stat(2), and
>>> chdir(2) with an argument of "//MACHINE" fail.
>> 
>> That's certainly a hassle.  Let's not worry about going through
>> zillions of lines of application code working around that
>> incompatibility.  Let's get Cygwin fixed instead.
> 
> One potential problem is that on Windows, using NetShareEnum when checking
> the path will mean that every time someone does "mkdir -p", the command
> will have to wait until all network shares are examined.  This could
> result in quite a bit of a delay, to say the least...

  Um, I don't see why.  You only need to check network shares at all when
you have "//" at the start of the command line.  I can't see any reason why
you'd want to check shares on any machine other than //MACHINE either, and
in fact I can't see why you'd care about checking any share on //MACHINE
other than the one specified after '//MACHINE/' in the command line.  Could
you perhaps expond on that statement a bit?

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/